org.hibernate.search.elasticsearch.analyzer.impl

## Class NamedElasticsearch52NormalizerReference

- java.lang.Object
- - org.hibernate.search.analyzer.impl.RemoteAnalyzerReference
  - - org.hibernate.search.elasticsearch.analyzer.impl.ElasticsearchAnalyzerReference
    - - org.hibernate.search.elasticsearch.analyzer.impl.NamedElasticsearchAnalyzerReference
      - - org.hibernate.search.elasticsearch.analyzer.impl.NamedElasticsearch52NormalizerReference

- All Implemented Interfaces:
    Closeable, AutoCloseable, AnalyzerReference

      public class NamedElasticsearch52NormalizerReference
      extends NamedElasticsearchAnalyzerReference

  Author:
    Yoann Rodiere

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.elasticsearch.analyzer.impl.NamedElasticsearchAnalyzerReference

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedElasticsearch52NormalizerReference(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ElasticsearchAnalysisDefinitionRegistryPopulator` | `createRegistryPopulator(ElasticsearchAnalysisDefinitionRegistry definitionRegistry)`
    `boolean` | `isNormalizer(String fieldName)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.analyzer.impl.NamedElasticsearchAnalyzerReference

      `collectDefinitions, getAnalyzerName, initialize, isInitialized, registerDefinitions, toString`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.analyzer.impl.ElasticsearchAnalyzerReference

      `close`

    - ### Methods inherited from class org.hibernate.search.analyzer.impl.RemoteAnalyzerReference

      `is, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NamedElasticsearch52NormalizerReference

          public NamedElasticsearch52NormalizerReference(String name)

  - ### Method Detail

    - #### isNormalizer

          public boolean isNormalizer(String fieldName)

      Specified by:
        `isNormalizer` in interface `AnalyzerReference`
      Overrides:
        `isNormalizer` in class `NamedElasticsearchAnalyzerReference`
      Parameters:
        `fieldName` - name of the field whose analyzer is to be inspected
      Returns:
        `true` if the analyzer for the field with the given name is a normalizer, `false` otherwise.

    - #### createRegistryPopulator

          protected ElasticsearchAnalysisDefinitionRegistryPopulator createRegistryPopulator(ElasticsearchAnalysisDefinitionRegistry definitionRegistry)

      Overrides:
        `createRegistryPopulator` in class `NamedElasticsearchAnalyzerReference`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved